Ipelib: ipe::Ellipse Class Reference

Ipelib

- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# ipe::Ellipse Class Reference
Ipe Geometry

An ellipse subpath. More...

`#include <ipeshape.h>`

Inherits ipe::SubPath.

List of all members.

## Public Member Functions

- Ellipse (const Matrix &m)
- virtual Type type () const
- virtual const Ellipse * asEllipse () const
- Matrix matrix () const
- virtual void save (Stream &stream) const
- virtual void draw (Painter &painter) const
- virtual void addToBBox (Rect &box, const Matrix &m, bool cp) const
- virtual double distance (const Vector &v, const Matrix &m, double bound) const
- virtual void snapVtx (const Vector &mouse, const Matrix &m, Vector &pos, double &bound) const
- virtual void snapBnd (const Vector &mouse, const Matrix &m, Vector &pos, double &bound) const

## Detailed Description

An ellipse subpath.

## Constructor & Destructor Documentation

Ellipse::Ellipse | ( | const Matrix & | m | ) |

## Member Function Documentation

SubPath::Type Ellipse::type | ( |  | ) | const`[virtual]`

Return type of this subpath.

Implements ipe::SubPath.

const Ellipse * Ellipse::asEllipse | ( |  | ) | const`[virtual]`

Return this object as an Ellipse, or 0 if it's not an ellipse.

Reimplemented from ipe::SubPath.

Matrix ipe::Ellipse::matrix | ( |  | ) | const`[inline]`

Return matrix that transforms unit circle to the ellipse.

void Ellipse::save | ( | Stream & | stream | ) | const`[virtual]`

Save subpath to XML stream.

Implements ipe::SubPath.

void Ellipse::draw | ( | Painter & | painter | ) | const`[virtual]`

Draw subpath (does not call drawPath()).

Implements ipe::SubPath.

void Ellipse::addToBBox | ( | Rect & | box,
|  | const Matrix & | m,
|  | bool | cp
| ) |  | const`[virtual]`

Add subpath to box.

Implements ipe::SubPath.

double Ellipse::distance | ( | const Vector & | v,
|  | const Matrix & | m,
|  | double | bound
| ) |  | const`[virtual]`

Return distance from v to subpath transformed by m.

Implements ipe::SubPath.

void Ellipse::snapVtx | ( | const Vector & | mouse,
|  | const Matrix & | m,
|  | Vector & | pos,
|  | double & | bound
| ) |  | const`[virtual]`

snaps to center of ellipse.

Implements ipe::SubPath.

void Ellipse::snapBnd | ( | const Vector & | mouse,
|  | const Matrix & | m,
|  | Vector & | pos,
|  | double & | bound
| ) |  | const`[virtual]`

Snap to boundary of subpath.

Implements ipe::SubPath.

The documentation for this class was generated from the following files:

- ipeshape.h
- ipeshape.cpp